{% extends 'main/base.html' %} {% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'inventory/css/browse.css' %}">
{% endblock %}

{% block js %}
<script type="text/javascript" src="{% static 'inventory/js/inventory-functions.js' %}"></script>
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button" {% endblock %}
{% block nav_contact %} class="button-selected" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}
    <div class="page-tlt">
        <h1>Inventory</h1>
        <div class="right-triangle-decoration page-tlt-triangle wss"></div>
    </div>
    
    <div class="button-content">
        <div class="sort-tab">
            <h1 class="button tab-header">Display by:</h1>
            <h1 class="button tabbutton" id="sort-item">Item</h1>
            <h1 class="button tabbutton" id="sort-location">Location</h1>
            <div class="add-tab">
		        <h1 class="button bannerbutton item-trigger" id="btn-addItem">+ New Item</h1>
		        <h1 class="button bannerbutton item-trigger" id="btn-addItem-alt">+ <i class="fas fa-box"></i></h1>
                <h1 class="button bannerbutton loc-trigger" id="btn-addLocation">+ New Location</h1>
                <h1 class="button bannerbutton loc-trigger" id="btn-addLocation-alt">+ <i class="fas fa-map-marker-alt"></i></h1>
                <h1 class="button bannerbutton xcel-trigger" id="btn-addExcel">+ Upload Excel</h1>
                <h1 class="button bannerbutton xcel-trigger" id="btn-addExcel-alt">+ <i class="fas fa-file-excel"></i></h1>
            </div>
            <div class="search-bar">
                <h1><i class="fas fa-search"></i></h1>
                <input id="search-input" type="text" placeholder='Search Inventory'>
            </div>
        </div>
    </div>
    
    <div class="divide-content" id="dc-addItem">
        <form action="{% url 'inventory:item_create' %}" method="POST" enctype="multipart/form-data">{% csrf_token %}
            <h1>ADD AN ITEM</h1>
            <div class="addText-section">
                <div class="divide-line minor">
                    <div class="label-wrapper">
                        <label for="{{ item_form.name.id_for_label }}">+ Name</label>
                    </div>
                    {{ item_form.name }}
                </div>
                <div class="divide-line minor">
                    <div class="label-wrapper">
                        <label for="{{ item_form.description.id_for_label }}">+ Description</label>
                    </div>
                    {{ item_form.description }}
                </div>
                <div class="divide-line minor">
                    <div class="label-wrapper">
                        <label for="{{ item_form.unit.id_for_label }}">+ Unit</label>
                    </div>
                    {{ item_form.unit }}
                </div>
                <div class="divide-line minor">
                    <div class="label-wrapper">
                        <label for="{{ item_form.vendor.id_for_label }}">+ Vendor</label>
                    </div>
                    {{ item_form.vendor }}
                </div>
                <div class="divide-line minor">
                    <div class="label-wrapper">
                        <label for="{{ item_form.part_number.id_for_label }}">+ Part #</label>
                    </div>
                    {{ item_form.part_number }}
                </div>
                <div class="divide-line minor">
                    <div class="label-wrapper label-wrapper-file">
                        <label for="{{ item_form.image.id_for_label }}">+ Image</label>
                    </div>
                    {{ item_form.image }}
                </div>
            </div>
            <div class="addLocation-section" id="al-section">
                <div id="dl-locations-section">
                    <div class="divide-line" id="dl-locations">
                        <h1>Location 1</h1>
                        <select name='loc1' id='loc1' required>
                            {% for location in locations %}
                                <option value="{{ location }}">{{ location }}</option>
                            {% endfor %}
                            <option value="None" selected='selected'>No Location</option>
                        </select>
                        <input type="number" min="0" name='quant1' id='quant1' placeholder="Quantity" required>
                    </div>
                </div>
                <h1 class="wide-button" id="addlocation-btn">+ Location</h1>
            </div>
            <div class="end-button-row">
                <input class="add-button" type="submit" name="item" value="Add new item">
            </div>
        </form>
    </div>
        
    <div class="divide-content" id="dc-addLocation">
        <form action="{% url 'inventory:location_create' %}" method="POST" enctype="multipart/form-data">{% csrf_token %}
            <h1>ADD A LOCATION</h1>
            <div class="addText-section">
                <div class="divide-line minor">
                    <div class="label-wrapper">
                        <label for="{{ location_form.name.id_for_label }}">+ Name</label>
                    </div>
                    {{ location_form.name }}
                </div>
                <div class="divide-line minor">
                    <div class="label-wrapper">
                        <label for="{{ location_form.description.id_for_label }}">+ Description</label>
    		        </div>
                    {{ location_form.description }}
    	        </div>
                <div class="divide-line minor">
                    <div class="label-wrapper label-wrapper-file">
                        <label for="{{ location_form.image.id_for_label }}">+ Image</label>
                    </div>
                    {{ location_form.image }}
                </div>
            </div>
            <div class="end-button-row">
                <input class="add-button" type="submit" name="location" value="Add new location">
            </div>
        </form>
    </div>
    
    <div class="divide-content" id="dc-addExcel">     
    	<form action="" method="post" enctype="multipart/form-data">{% csrf_token %}
            <h1>UPLOAD EXCEL</h1>
            <div class="addText-section">
                <div class="divide-line minor">
                    <div class="label-wrapper label-wrapper-file">
                        <label for="excel_file">+ Excel File</label>
                    </div>
                    <input type="file" name="excel_file" id="excel_file">
                </div>
            </div>
            <div class="end-button-row">
                <input class="add-button" type="submit" name="upload" value="Add new item">
            </div>
        </form>
    </div>

    <div class="body-content">
        <div class="item-table">
            <table id="it">
                <thead>
                    <tr class="table-header">
                        <th>Name</th>
                        <th>Unit of Measurement</th>
                        <th>Quantity</th>
                        <th>Barcode</th>
                        <th>Location(s)</th>
                        <th>More Info</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in items %}
                        <tr>
                            <td>{{ item.name }}</td>
                            <td>{{ item.unit }}</td>
                            <td>{{ item.quantity }}</td>
                            <td>{{ item.barcode }}</td>
                            <td>
                                {{ item.location_set.all|join:", " }}
                            </td>
                            <td>
                                <a href="{% url 'inventory:item_detail' item.pk %}">Details</a>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
            <h1 class="item-table-null null-remove" id="it-n">The Item Inventory is empty. Please add new items!</h1>
            <h1 class="table-noresults null-remove">Your search query yielded no results</h1>
        </div>
        
        <div class="location-table null-table">
            <table id="it">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Barcode</th>
                        <th>Item(s)</th>
                        <th>More Info</th>
                    </tr>
                </thead>
                <tbody>
                    {% for location in locations %}
                        <tr>
                            <td>{{ location.name }}</td>
                            <td>{{ location.barcode }}</td>
                            <td>
                                {% for item in location.items.all %}
                                    {{ item }}, 
                                {% endfor %}
                            </td>
                            <td>
                                <a href="{% url 'inventory:location_detail' location.pk %}">Details</a>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
            <h1 class="location-table-null null-remove" id="lt-n">The Location Directory is empty. Please add new Locations!</h1>
            <h1 class="table-noresults null-remove">Your search query yielded no results</h1>
        </div>
    </div>
{% if messages %}
    {% for message in messages %}
        {{ message }}
    {% endfor %}
{% endif %}
{% endblock %}
